import puppeteer from "puppeteer";

const browser = await puppeteer.launch({
  headless: false, // Show the browser window
  defaultViewport: null, // Don't limit the viewport
  args: ["--use-fake-ui-for-media-stream"], // Avoid asking for microphone and camera permissions
});

const page = await browser
  .pages()
  .then((pages) => pages[0] || browser.newPage());
await page.goto("https://meet.vpsfree.cz");
await page.locator("#enter_room_field").fill("parsifalove");
await page.locator("#enter_room_button").click();

await page.waitForSelector("body");
await page.evaluate(() => {
  document.querySelector("body")!.requestFullscreen();
});

browser.on("disconnected", () => {
  process.exit(0);
});

setInterval(async () => {
  if ((await browser.pages()).length === 0) {
    process.exit(0);
  }
}, 1000);
